package com.rms.tfc.entity;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;

@Entity
@Table(name = "linea", schema = "tienda1")
public class Linea implements java.io.Serializable {

	private Long idLinea;;
	private Long idPedido;
	private Long idProducto;
	private Long cantidadPedida;
	private Long cantidadRecibida;
	private Long cantidadDevuelta;

	@Id
    @Column(name = "idLinea", unique = true, nullable = false)
	public Long getIdLinea() {
		return idLinea;
	}
	
	public void setIdLinea(Long idLinea) {
		this.idLinea = idLinea;
	}
	
	@Column(name = "idPedido", nullable = false)
	public Long getIdPedido() {
		return idPedido;
	}
	
	public void setIdPedido(Long idPedido) {
		this.idPedido = idPedido;
	}
	
	@Column(name = "idProducto", nullable = false)
	public Long getIdProducto() {
		return idProducto;
	}
	
	public void setIdProducto(Long idProducto) {
		this.idProducto = idProducto;
	}
	
	@Column(name = "cantidadPedida", nullable = false)
	public Long getCantidadPedida() {
		return cantidadPedida;
	}
	
	public void setCantidadPedida(Long cantidadPedida) {
		this.cantidadPedida = cantidadPedida;
	}
	
	@Column(name = "cantidadRecibida", nullable = false)
	public Long getCantidadRecibida() {
		return cantidadRecibida;
	}
	
	public void setCantidadRecibida(Long cantidadRecibida) {
		this.cantidadRecibida = cantidadRecibida;
	}
	
	@Column(name = "cantidadDevuelta", nullable = false)
	public Long getCantidadDevuelta() {
		return cantidadDevuelta;
	}
	
	public void setCantidadDevuelta(Long cantidadDevuelta) {
		this.cantidadDevuelta = cantidadDevuelta;
	}
}